import type { VirtualScrollerInitialParams } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Calls {@link useVirtualModel} and synchronizes it with props
 * @param params - {@link @af-utils/virtual-core#VirtualScrollerInitialParams}
 * @returns same {@link @af-utils/virtual-core#VirtualScroller} instance
 */
declare const useVirtual: (params: VirtualScrollerInitialParams) => import("@af-utils/virtual-core").VirtualScroller;
export default useVirtual;
