import type { ScrollElement, VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Synchronizes scroller with model.
 *
 * @remarks
 * Should be used in window-scroll cases, otherwise `ref={el => model.setScroller( el )}` is preferrable.
 */
declare const useScroller: (model: VirtualScroller, scroller: ScrollElement | null) => void;
export default useScroller;
